Subject: Re: bug#63956: 29.0.91; tex-mode display problem in emacs-29

From: Sam Steingold <[email-masked]>
Date: Fri, 09 Jun 2023 16:00:56 -0400

> * Eli Zaretskii <[email-masked]> [2023-06-08 21:34:09 +0300]:
>
>> Eli, you sent your message to the amazon.com address. Why?
>
> Because that's what appears in Git:
>
>   commit 18b680cfd177e877991be2bd70ead628bbdc0aa0
>   Author:     Sam Steingold <[email-masked]>
>   AuthorDate: Tue Dec 28 17:27:41 2021 -0500
>   Commit:     Sam Steingold <[email-masked]>
>   CommitDate: Tue Dec 28 17:28:49 2021 -0500
>
>       Fix bug#52467 by adding a new custom variable 'display-comint-buffer-action'
>
>       * lisp/window.el (display-comint-buffer-action): New `defcustom`,
>       defaults to 'display-buffer-same-window' for backward compatibility.
>       * lisp/cmuscheme.el (run-scheme, switch-to-scheme): Pass
>       'display-comint-buffer-action' to 'pop-to-buffer' instead
>       of using 'pop-to-buffer-same-window'.
>       * lisp/eshell/eshell.el (eshell): Likewise.
>       * lisp/shell.el (shell): Likewise.
>       * lisp/org/ol-eshell.el (org-eshell-open): Likewise.
>       * lisp/progmodes/inf-lisp.el (inferior-lisp): Likewise.
>       * lisp/progmodes/project.el (project-shell, project-eshell): Likewise.
>       * lisp/textmodes/tex-mode.el (tex-display-shell, tex-compile-default)
>       (tex-recenter-output-buffer): Pass 'display-comint-buffer-action'
>       to 'pop-to-buffer'.

here is what I see:

commit 18b680cfd177e877991be2bd70ead628bbdc0aa0
Author: Sam Steingold <[email-masked]>
Date:   2021-12-28 17:27:41 -0500

    Fix bug#52467 by adding a new custom variable 'display-comint-buffer-action'
    
    * lisp/window.el (display-comint-buffer-action): New `defcustom`,
    defaults to 'display-buffer-same-window' for backward compatibility.
    * lisp/cmuscheme.el (run-scheme, switch-to-scheme): Pass
    'display-comint-buffer-action' to 'pop-to-buffer' instead
    of using 'pop-to-buffer-same-window'.
    * lisp/eshell/eshell.el (eshell): Likewise.
    * lisp/shell.el (shell): Likewise.
    * lisp/org/ol-eshell.el (org-eshell-open): Likewise.
    * lisp/progmodes/inf-lisp.el (inferior-lisp): Likewise.
    * lisp/progmodes/project.el (project-shell, project-eshell): Likewise.
    * lisp/textmodes/tex-mode.el (tex-display-shell, tex-compile-default)
    (tex-recenter-output-buffer): Pass 'display-comint-buffer-action'
    to 'pop-to-buffer'.

>> The commit is tagged with my correct gnu.org address.
> It isn't see above.

I am confused.

>> Please only use [email-masked] for all communications.
>
> Sorry, I cannot afford proofreading every address I copy from the Git
> logs.  I simply don't have that kind of time.

I am with you, but note that you risk getting your emails bouncing.

> Are you sure you don't have any customizations that get in the way?

Yeah, looks like I do:
--8<---------------cut here---------------start------------->8---
 '(display-buffer-alist
   '(("shell\\*" nil (inhibit-same-window . t))))
--8<---------------cut here---------------end--------------->8---

When my change was discussed, I was told that adding a new custom
variable was okay, but making it have non-trivial default is not.

Maybe `display-comint-buffer-action' should default to
`display-buffer-in-previous-window'?

-- 
Sam Steingold (https://aphar.dreamwidth.org/) on Pop 22.04 (jammy) X 11.0.12101004
https://lastingimpactpsychology.com https://steingoldpsychology.com
https://ij.org/ https://camera.org https://honestreporting.com
Legends are time-tested rumors.